Summary:	A jungle of Erlang code: XMPP library
Name:		erlang-exmpp
Version:	0.9.2
Release:	4
License:	EPL
Group:		Development/Languages
Source0:	http://download.process-one.net/exmpp/exmpp-%{version}.tar.gz
# Source0-md5:	765778958bc5dd7eb0e91815482cecc0
Patch0:		bad-defines.patch
URL:		https://support.process-one.net/doc/display/EXMPP/exmpp+home
BuildRequires:	erlang
BuildRequires:	expat-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	erlang
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast and scalable library for the Extensible Messaging and Presence
Protocol (XMPP).

%prep
%setup -q -n exmpp-%{version}
%patch0 -p1

%build
%configure \
	--prefix=%{_libdir}/erlang/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* README
%{_libdir}/erlang/lib/exmpp-*
%changelog
* Mon Nov 12 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/erlang-exmpp.git;a=log;h=master

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> 803b767
- fix badly formed defines
- rel 4

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 819eebe
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Sun May 16 2010 sparky <sparky@pld-linux.org> 12fc3fa
- BR: pkgconfig

* Sat Apr 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b956810
- release 2

* Tue Jan 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 85ef2e4
- initial

